﻿using System;
using System.Web;
using System.Drawing;
using System.Drawing.Imaging;

public class ImageHandler : IHttpHandler
{
    public bool IsReusable {
        get { return true; }
    }

    public void ProcessRequest(HttpContext context) {
        using(Bitmap bmp = new Bitmap(context.Request.PhysicalPath))
        using(Graphics g = Graphics.FromImage(bmp))
        using (Font font = new Font("Arial", 20)) {

            g.DrawString("IIS Rocks",
                font, Brushes.Yellow, 0, 0);

            context.Response.ContentType = "image/jpeg";
            bmp.Save(context.Response.OutputStream, ImageFormat.Jpeg);
        }
    }
}
